Retrieves the task_files with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
task_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| task_id |
Task Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier |
Required |
|
| show_on_web | boolean |
Response Formats
application/json, text/json
{
"id": "9ae764b2-f9d4-408f-98a8-6851677c0f54",
"task_id": "97d27bb9-273a-458e-a1c3-4314203ee0c9",
"file_name": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"tags": "sample string 6",
"mime_type": "sample string 7",
"file_type": "sample string 8",
"image_height": 9,
"image_width": 10,
"file_size": 11,
"sales_organization_id": "4799f0f6-636c-4fee-8f9f-d8089f43a7e7",
"sales_organization_code": "sample string 13",
"file_content": "QEA=",
"dateutc_added": "2026-11-06T09:58:48.1984634+00:00",
"modified_dateutc": "2026-11-06T09:58:48.1984634+00:00",
"user_id": "00c2a5e1-5023-455d-b3f6-7542108f1ed0",
"show_on_web": true
}